Bug 122861 - default kernel is UP on SMP systems when removing old kernels
default kernel is UP on SMP systems when removing old kernels
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: mkinitrd (Show other bugs)
rawhide
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-09 10:34 EDT by Dams
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-10 01:20:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Dams 2004-05-09 10:34:18 EDT
Description of problem:
I had 2 up kernels and 4 smp kernels installed. I wanted to free some
few disk space so i invoked "rpm -e kernel-fooversion ; rpm -e
kernel-smp-fooversion kernel-smp-barversion". Once those commands
returned, the default kernel in grub.conf was set to the only UP
kernel I kept. The previous 'default' was the kernel i'm currently
running. The default should have been either my current kernel or the
newer smp kernel still installed as i'm on a dual athlon system.

Maybe a grubby problem ? (i have mkinitrd-3.5.22-1)

Packages i had: kernel-2.6.5-1.353 kernel-2.6.5-1.356 
kernel-smp-2.6.5-1.327 kernel-smp-2.6.5-1.349 kernel-smp-2.6.5-1.353
kernel-smp-2.6.5-1.356 
Current kernel: 2.6.5-1.349smp
Packages i removed: kernel-2.6.5-1.353 kernel-smp-2.6.5-1.353
kernel-smp-2.6.5-1.327
Default kernel after removal: kernel-2.6.5-1.356
Comment 1 Jeremy Katz 2004-05-10 12:36:59 EDT
grubby doesn't really have any logic to handle this, instead all of
the "magic" is in higher-level tools such as up2date, yum and apt.  If
you remove your current default then it falls back to the first (or
might be last, don't remember off the top of my head) image with the
same rootdev in your boot loader config.
Comment 2 Dams 2004-06-09 14:40:16 EDT
wth is that.. I didnt install any new kernels and "something" keeps
reseting the default kernel to the uni-processor instead of the smp
one in the grub.conf. I've just upgraded some packages today, nothign
kernel related...
Comment 3 Warren Togami 2004-06-09 22:07:46 EDT
What tool did you use to update?  I suspect this may be an apt problem
with Panu's more recent kernel handling lua scripts.  Panu?
Comment 4 Dams 2004-06-10 01:06:25 EDT
yeah it was apt-0.5.15cnc6-0.fdr.11.2...
Comment 5 Warren Togami 2004-06-10 01:20:52 EDT
Please open a new bug in fedora.us Bugzilla against the apt component.
 The luas could possibly be refined to avoid causing this type of
situation upon package remove.
Comment 6 Panu Matilainen 2004-06-10 02:39:43 EDT
Hmm, yeah, I think someone mentioned seeing some odd behavior with
default kernel getting changed but the information wasn't sufficient
for me to reproduce. I'll have a better look at it this time but lets
close this bug here, not RH's headache.

Note You need to log in before you can comment on or make changes to this bug.